当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 并行安装mpich
帖子发表于 : 2010-05-09 17:30 

注册: 2010-04-22 18:30
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
1、今天尝试安装了mpich,因为上课有用,所以就来试着安装以下。。
2、前面还算是比较顺利,到最后遇见了一个问题:

mpiexec_ubuntu: cannot connect to local mpd (/tmp/mpd2.console_jey); possible causes:
1. no mpd is running on this host
2. an mpd is running but was started without a "console" (-n option)

在网上查了一下,都说是mpdboot没有启动,可是在运行前我明明启动了的,不过好像有点问题,我将运行的结果贴出来:

mpdboot
/usr/local/bin/mpdboot:53: DeprecationWarning: The popen2 module is deprecated. Use the subprocess module.
from popen2 import Popen4, Popen3, popen2
/usr/local/bin/mpdlib.py:15: DeprecationWarning: the md5 module is deprecated; use hashlib instead
from md5 import new as md5new
/usr/local/bin/mpdlib.py:8: DeprecationWarning: The popen2 module is deprecated. Use the subprocess module.
import sys, os, signal, popen2, socket, select, inspect
/usr/local/bin/mpdlib.py:15: DeprecationWarning: the md5 module is deprecated; use hashlib instead
from md5 import new as md5new
mpdboot_ubuntu (handle_mpd_output 373): from mpd on ubuntu, invalid port info:
/usr/local/bin/mpdlib.py:8: DeprecationWarning: The popen2 module is deprecated. Use the subprocess module.
import sys, os, signal, popen2, socket, select, inspect
/usr/local/bin/mpdlib.py:15: DeprecationWarning: the md5 module is deprecated; use hashlib instead
from md5 import new as md5new
57481
57481

jey@ubuntu:~/Jeydragon/program$ /usr/local/bin/mpdlib.py:8: DeprecationWarning: The popen2 module is deprecated. Use the subprocess module.
import sys, os, signal, popen2, socket, select, inspect
/usr/local/bin/mpdlib.py:15: DeprecationWarning: the md5 module is deprecated; use hashlib instead
from md5 import new as md5new
然后我运行:
mpirun -n 2 ./hello.out

结果显示:
/usr/local/bin/mpdlib.py:8: DeprecationWarning: The popen2 module is deprecated. Use the subprocess module.
import sys, os, signal, popen2, socket, select, inspect
/usr/local/bin/mpdlib.py:15: DeprecationWarning: the md5 module is deprecated; use hashlib instead
from md5 import new as md5new
mpiexec_ubuntu: cannot connect to local mpd (/tmp/mpd2.console_jey); possible causes:
1. no mpd is running on this host
2. an mpd is running but was started without a "console" (-n option)

我想我表达的已经很详细了,这应该是中间一个小小的问题,希望高手指点一下,先感谢了!!!


_________________
宠辱不惊,闲看庭前花开花落;
去留无意,漫随天外云卷云舒。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 并行安装mpich
帖子发表于 : 2010-05-09 17:39 

注册: 2008-05-14 18:53
帖子: 547
地址: 上海
送出感谢: 0 次
接收感谢: 0 次
试试
mpdboot -n console
或者
mpdboot console


_________________
三年Linux使用经验,两年Ubuntu使用经验
提供各种企业解决方案
Ubuntu QQ群:66320976
Linux Blog
http://deephell.72pines.com


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译